package cn.gygxzc.envir;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * Created by niantuo on 2018/10/27.
 * 启用rabbitmq 服务线消息中间件
 */

@Configuration
@Documented
@Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
@Target({java.lang.annotation.ElementType.TYPE})
@Import(RabbitConfiguration.class)
public @interface EnableRabbitMessage {
}
